// JavaScript Document
//variables 
//window.history.forward(1);
g=0;//nbre de tests terminés
ze=0;// pages ouvertes
var fin="";
var h=new Array(27)//n° du test fait
for (var i=0; i < h.length; ++i){
	h[i]=0}
var hh=new Array(27)// n° du test validé
for (var i=0; i < hh.length; ++i){
	hh[i]=0}

var content=new Array(27)//les 21 pages de questions
for (var i=0; i < content.length; ++i){
	//content[i]='<td><a href="#" onmouseover="fait('+i+')" onmouseout="kill()" onclick="choix('+i+');h['+i+']+=1">?</a></td>'
	content[i]='<td><input type="button" name="b'+i+'" onmouseover="fait('+i+')" onmouseout="kill()" onclick="choix('+i+');h['+i+']+=1" value="?" /></td>'	
	}
	
	
	var nom=new Array(27)
	nom[0]="domaine de longueurs d'ondes"
    nom[1]="caractéristiques d'une onde"
	nom[2]="type d'onde 1"
    nom[3]="type d'onde 2"
	nom[4]="type d'onde 3"
    nom[5]="longueurs d'ondes"
	nom[6]="mesures"
	nom[7]="ondes à la surface de l'eau "
    nom[8]="expériences corde élastique"
	nom[9]="diffraction"
    nom[10]="en phase ou non"
	nom[11]="seisme au Japon"
    nom[12]="tsunami"
	nom[13]="vitesse du son"
    nom[14]="SONAR"
	nom[15]="vagues sur l'océan"
    nom[16]="vitesse des vagues"
	nom[17]="longueurs d'ondes et vitesse"
    nom[18]="diffraction de la lumière"
	nom[19]="Couleurs interférentielles"
	nom[20]="expériences"
	nom[21]="Phénomènes ondulatoires "
	nom[22]="Effet Doppler "
    nom[23]="Effet Doppler et étoile double "
	nom[24]="Sons musicaux "
    nom[25]="Interférences "
	nom[26]="Galaxie et longueurs d'ondes "
    
	
    
/*
Random-Order content script
By JavaScript Kit (http://www.javascriptkit.com)
This notice must stay intact for use
*/
function randomorder(targetarray, spacing){

var randomorder=new Array()
var the_one
var z=0
for (i=1;i<targetarray.length;i++)
randomorder[i]=i

while (z<targetarray.length){
the_one=Math.floor(Math.random()*targetarray.length)
if (targetarray[the_one]!="_selected!"){
document.write(targetarray[the_one]+spacing)
targetarray[the_one]="_selected!"
z++
}
}
}
function choix(num){//page de test
//yy=eval("document.f1.b"+num+".value")
//if(yy=="?"){

//eval("document.f1.b"+num+".value='X'")
if(document.f1.t1.value<10){
	      if(h[num]>=1){alerte();ze=1}; 
	             if(ze==0){
	                     parent.main.location="test"+num+".htm";g+=1 ;document.f1.t1.value=g;
		                 document.f1.h1.value+="<span class='st1'>"+document.f1.h2.value+"</span><span class='st2'> - "+document.f1.h3.value+"</span><br><span class='st2'>"+"test n°"+g+" : "+nom[num]+"  :  </span>";
		                   }
	                    ze=0
	               }
				   
else{ document.f1.t3.value="test terminé";
document.f1.h1.value+="<span class='st1'>"+document.f1.h2.value+"</span><span class='st2'> - "+document.f1.h3.value+"</span><br>"+"<span class='st1'> note :"+document.f1.t2.value+"/ 20</span>"
//+"<br><span class='st2'> durée totale:"+document.f1.h5.value+" s</span>";
parent.main.location="fin.htm";
	    }
	yy=eval("document.f1.b"+num+".value")	
	if(yy=="?"){document.f1.h2.value="0"};
	eval("document.f1.b"+num+".value='X'")
}
//else{alerte();ze=1};
//}
	
	
	function alerte(){ alert(":o) déjà fait; cliquer ailleurs (o:")}
	
	function fait(jj){//bulle de commentaire
		//for (i=1;i<26;i++) {
			for (i=0;i<25;i++) {
		if((h[i]==0)&&(jj==i)&&(hh[i]==0))document.f1.t3.value="pas encore fait"
		if((h[i]>=1)&&(jj==i)&&(hh[i]==1))document.f1.t3.value="déjà fait"
		if((h[i]>=1)&&(jj==i)&&(hh[i]==0))document.f1.t3.value="test sélectionné" }
	}
	
	function kill(){
		document.f1.t3.value=""
	}
	
	
	// No rightclick script v.2.5
// (c) 1998 barts1000
// barts1000@aol.com
// Don't delete this header!

var message="pas de clic droit aujourd'hui!"; // Message for the alert box

// Don't edit below!

function click(e) {
if (document.all) {
if (event.button == 2) {
alert(message);
return false;
}
}
if (document.layers) {
if (e.which == 3) {
alert(message);
return false;
}
}
}
if (document.layers) {
document.captureEvents(Event.MOUSEDOWN);
}
document.onmousedown=click;
